Subject: Re: bug#56332: 29.0.50; Large gnus imap groups; articles incorrectly marked as read (old)

From: Michael Welsh Duggan <[email-masked]>
Date: Fri, 01 Jul 2022 11:56:20 -0400

Michael Welsh Duggan <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Hm...  reading `nnimap-transform-headers', it kinda seems like it might
>>> be working (mostly) by accident in the multiple-FETCH situation.  I'll
>>> try to reproduce this here and see what I can find out.
>>
>> No, it seems like it should handle this fine.
>>
>> Can you do a `M-x debug-on-entry RET nnimap-split-incoming-mail RET' and
>> then look in the " *nnimap ...*" (note leading space) buffer and see
>> whether the headers for the articles are there or whether anything looks
>> obviously messed-up?
>
> I think you must have meant a different function?  Because I am not
> doing any Gnus-side splitting right now (I'm using server-side sieve
> splitting instead).

I should clarify: setting a breakpoint on that function does not trigger
when entering the group in question.

-- 
Michael Welsh Duggan
([email-masked])